Subject: Re: drm-rust: change branches merged into linux-next

From: Thierry Reding <[email-masked]>
Date: Thu, 7 May 2026 09:55:09 +0200

On Thu, May 07, 2026 at 01:24:38AM +0200, Danilo Krummrich wrote:
> On Tue Apr 28, 2026 at 2:08 PM CEST, Thierry Reding wrote:
> >> On Sun, Apr 26, 2026 at 10:52:36PM +0200, Danilo Krummrich wrote:
> >> > 
> >> > 	drm-rust	https://gitlab.freedesktop.org/drm/rust/kernel.git#drm-rust-next
> >> > 	drm-rust-fixes	https://gitlab.freedesktop.org/drm/rust/kernel.git#drm-rust-fixes
> >> > 
> >> > to
> >> > 
> >> > 	drm-rust	https://gitlab.freedesktop.org/drm/rust/kernel.git#for-linux-next
> >> > 	drm-rust-fixes	https://gitlab.freedesktop.org/drm/rust/kernel.git#for-linux-next-fixes
> >
> > Sorry, I noticed this too late. I've updated these now, so they should
> > be pulled for tomorrow's -next. I'm about to finish things up for today,
> > so it'll have the old trees still.
> 
> Checking today's linux-next tree, it still seems to pull in the "old" branches.
> This by itself is not a problem; until -rc6 they are exactly the same.
> 
> However, I noticed that it seems that linux-next stopped fetching new updates
> from the drm-rust remote.
> 
> The current head of drm-rust-fixes should be at
> 0a69ac25bd596d50823d530d0a2004336668c0df, and drm-rust-next should be at
> 37f748ed0c19e007e7c5677f5d605d6b93841792 (same goes for the new branches).
> 
> However, today's linux-next release still shows:
> 
> 	$ cat Next/SHA1s | grep drm-rust
> 	drm-rust-fixes	15e8bae5d930c91b8739a87d75db0a6efca3cb32
> 	drm-rust	d9a6809478f9815b6455a327aa001737ac7b2c09
> 
> d9a6809478f9815b6455a327aa001737ac7b2c09 has "CommitDate: Mon Apr 27 18:43:05
> 2026"; the next commit in my history has "CommitDate: Wed Apr 29 00:57:54 2026
> +0200".

Sorry, looks like a rookie mistake on my side. The scripts were fetching
the correct branches but merging the old ones. I should've realized that
I need to update both the git config *and* the control file.

Should be fixed in today's -next.

Thanks for letting me know,
Thierry